org.wildfly.swarm.swagger

## Class SwaggerMessages_$logger

- java.lang.Object
- - DelegatingBasicLogger
  - - org.wildfly.swarm.swagger.SwaggerMessages_$logger

- All Implemented Interfaces:
    Serializable, SwaggerMessages

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2018-05-02T00:27:58-0700")
      public class SwaggerMessages_$logger
      extends DelegatingBasicLogger
      implements SwaggerMessages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.wildfly.swarm.swagger.SwaggerMessages

      `MESSAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwaggerMessages_$logger(Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addingSwaggerResourcesToCustomApplicationSubClass()`
    `void` | `configureSwaggerForPackage(String deployment, String pkg)`
    `void` | `configureSwaggerForSeveralPackages(String deployment, List<String> packages)`
    `void` | `ignoringPackage(String pkg)`
    `void` | `multipleApplicationPathsFound(Collection<String> paths)`
    `void` | `noConfigurationFound()`
    `void` | `noEligiblePackages(String deployment)`
    `void` | `warnInvalidBeanTarget(Class<?> beanType)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwaggerMessages_$logger

          public SwaggerMessages_$logger(Logger log)

  - ### Method Detail

    - #### noConfigurationFound

          public final void noConfigurationFound()

      Specified by:
        `noConfigurationFound` in interface `SwaggerMessages`

    - #### ignoringPackage

          public final void ignoringPackage(String pkg)

      Specified by:
        `ignoringPackage` in interface `SwaggerMessages`

    - #### noEligiblePackages

          public final void noEligiblePackages(String deployment)

      Specified by:
        `noEligiblePackages` in interface `SwaggerMessages`

    - #### configureSwaggerForPackage

          public final void configureSwaggerForPackage(String deployment,
                                                       String pkg)

      Specified by:
        `configureSwaggerForPackage` in interface `SwaggerMessages`

    - #### configureSwaggerForSeveralPackages

          public final void configureSwaggerForSeveralPackages(String deployment,
                                                               List<String> packages)

      Specified by:
        `configureSwaggerForSeveralPackages` in interface `SwaggerMessages`

    - #### multipleApplicationPathsFound

          public final void multipleApplicationPathsFound(Collection<String> paths)

      Specified by:
        `multipleApplicationPathsFound` in interface `SwaggerMessages`

    - #### addingSwaggerResourcesToCustomApplicationSubClass

          public final void addingSwaggerResourcesToCustomApplicationSubClass()

      Specified by:
        `addingSwaggerResourcesToCustomApplicationSubClass` in interface `SwaggerMessages`

    - #### warnInvalidBeanTarget

          public final void warnInvalidBeanTarget(Class<?> beanType)

      Specified by:
        `warnInvalidBeanTarget` in interface `SwaggerMessages`

Copyright © 2018 JBoss by Red Hat. All rights reserved.